/*****************************************************************************
 * $Id: common.hh,v 1.1 2005/08/29 00:48:07 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Test of state-machine.
 *//*
 * LEGAL:	COPYRIGHT (C) 2005 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef COMMON_HH
#define COMMON_HH 1

#define DEBUG 2

#ifndef DEBUG
#define DEBUG 2
#endif

// C++ standard headers.
#include <iostream>
#include <fstream>
#include <iomanip>
#include <string>
#include <vector>
#include <list>
#include <map>
#include <deque>
#include <stack>
#include <algorithm>
using namespace std;

#if MAIN_CC
ostream* gStreamDebug;
#else
extern ostream* gStreamDebug;
#endif

#if DEBUG
#define DEBUG_CODE( CODE ) { CODE }
#else
#define DEBUG_CODE( CODE )
#endif

#if DEBUG == 2
#define DEBUG2_CODE( CODE ) { CODE } // pedantic excruciatingly slow debug code
#else
#define DEBUG2_CODE( CODE )
#endif

#endif // COMMON_HH
