/*****************************************************************************
 * $Id: mod_base_debug.cc,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Debug/profiling code.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if DEBUG
#define MOD_BASE_DEBUG_CC 1
#include "mod_base_common.hh"
#include "mod_base_debug.hh"

/*****************************************************************************
 * End module.
 *****************************************************************************/
void
Module::EndDebug( void )
{
	// Explicitly deleting these isn't strictly necessary but doing so tests
	// the destructors and helps to suppress false Valgrind warnings.
	gWorld.Destroy();
}

#endif // DEBUG
