/*****************************************************************************
 * $Id: mod_base_stats.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Statistics.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_MODULE
#ifndef MOD_BASE_STATS_HH
#define MOD_BASE_STATS_HH 1
#if ! STATS

#define MODULE_STATS_CODE( CODE )

#else

// Statistics code macro.
#define MODULE_STATS_CODE( CODE ) CODE

////////////////////////////////////////////////////////////////////////////////
/// @brief Statistics.
class ModuleStats
{
public:
			ModuleStats( void );
	void	PreDraw( void );

	int		mTracers;
};

ostream& operator<<( ostream& strm, const ModuleStats& o );

#endif // STATS
#endif // MOD_BASE_STATS
#endif // COMPILING_MODULE
