/*****************************************************************************
 * $Id: mod_pony.hh,v 1.1 2006/11/24 21:56:58 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_PONY_HH
#define MOD_PONY_HH 1

#include "mod_base_defs.hh"
#include "eng.hh"
#include "eng_tex.hh"
#include "mod_base.hh"
#include "mod_pony_defs.hh"
#include "mod_pony_world.hh"
#if DEBUG
#include "mod_pony_debug.hh"
#endif
#include "mod_pony_stats.hh"

/// Type signatures.
enum
{
	// Final value.
	TYPESIG_END = TYPESIG_AFTER_MODULE_BASE
};

// Animation enums.
#undef  eAnimation
#define eAnimation int
enum //eAnimation
{
	// Final value.
	eAnimation_END = eAnimation_AFTER_MODULE_BASE_ENUMS
};

#endif // MOD_PONY_HH
 
// For public release (release_palomino.sh)
#ifndef PUBLIC_RELEASE
#define PUBLIC_RELEASE 1
#endif
