/*****************************************************************************
 * $Id: mod_pony_python_ifc.hh,v 1.1 2006/11/24 21:56:58 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Module Pony's interface to Python.
 *//*
 * LEGAL:	COPYRIGHT (C) 2005 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef NO_PYTHON
#if COMPILING_MODULE_PONY
#ifndef MOD_PONY_PYTHON_IFC_HH
#define MOD_PONY_PYTHON_IFC_HH 1

bool
PythonModule( void );

// See eng_python.hh.
PYTHON_DEF_FUNC_TYPE_FROM_CPTR( Craft, CRAFT )
#define Craft_FROM_CPTR_OR_ERROR( VAR, CPTR )	PYTHON_DECL_VAR_OR_ERROR( VAR, CPTR, Craft )

#endif // MOD_PONY_PYTHON_IFC_HH
#endif // COMPILING_MODULE_PONY
#endif // NO_PYTHON
