/*****************************************************************************
 * $Id: mod_pony_stats.hh,v 1.1 2006/11/24 21:56:58 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Statistics.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if COMPILING_MODULE
#ifndef MOD_PONY_STATS_HH
#define MOD_PONY_STATS_HH 1
#if STATS

////////////////////////////////////////////////////////////////////////////////
/// @brief Statistics.
class ModulePonyStats
{
public:
			ModulePonyStats( void );
	void	PreDrawViews( void );

	int		mTracers;
	int		mLandQuadsDrawn;          ///< total drawn
	int		mLandQuadsDrawnTextured;  ///< draw textured
	int		mHills;
	int		mHillsDrawn;
	int		mTrees;
	int		mTreesDrawn;
	int		mLakes;
	int		mLakesDrawn;
};

ostream& operator<<( ostream& strm, const ModulePonyStats& o );

#endif // STATS
#endif // MOD_PONY_STATS_HH
#endif // COMPILING_MODULE
